Name:           perl-POE-Component-Server-SimpleHTTP
# Use two digit pricision since 2.04 version
Version:        2.06
Release:        3%{?dist}
Summary:        Serve HTTP requests in POE
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-Server-SimpleHTTP/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Component-Server-SimpleHTTP-%{version}.tar.gz

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Moose) >= 0.81
BuildRequires:  perl(MooseX::AttributeHelpers)
BuildRequires:  perl(MooseX::POE) >= 0.205
BuildRequires:  perl(POE) >= 1.0000
# perl(POE::Component::SSLify) is optional at run-time but needs to present at
# compile-time
BuildRequires:  perl(POE::Component::SSLify) >= 0.04
BuildRequires:  perl(POE::Filter::HTTPD)
BuildRequires:  perl(POE::Wheel::ReadWrite)
BuildRequires:  perl(POE::Wheel::SocketFactory)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Sys::Hostname)

# tests
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(POE::Component::Client::HTTP)
BuildRequires:  perl(POE::Filter::HTTP::Parser) >= 0.02
BuildRequires:  perl(Test::POE::Client::TCP) >= 0.1
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00


Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(Moose) >= 0.81
Requires:       perl(MooseX::POE) >= 0.205
Requires:       perl(POE) >= 1.0000
Requires:       perl(Storable)
Requires:       perl(Sys::Hostname)

%{?perl_default_filter}

%description
This module makes serving up HTTP requests a breeze in POE.


%prep
%setup -q -n POE-Component-Server-SimpleHTTP-%{version}
sed -i 's/\r//' examples/*

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test


%files
%defattr(-,root,root,-)
%doc README Changes examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.06-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 2.06-1
- update to latest upstream version
- fixes FTBFS RHBZ#660836
- clean up spec for modern rpmbuild

* Wed Jun 23 2010 Petr Pisar <ppisar@redhat.com> - 2.04-1
- 2.04 bump (bug #602616)
- Clean dependencies up

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.0-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.0-2
- rebuild against perl 5.10.1

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 2.0-1
- auto-update to 2.0 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(Moose) (version 0.81)
- added a new br on perl(MooseX::AttributeHelpers) (version 0)
- added a new br on perl(MooseX::POE) (version 0.205)
- added a new req on perl(Moose) (version 0.81)
- added a new req on perl(MooseX::AttributeHelpers) (version 0)
- added a new req on perl(MooseX::POE) (version 0.205)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.58-1
- auto-update to 1.58 (by cpan-spec-update 0.01)
- added a new br on perl(Storable) (version 0)
- added a new br on perl(Sys::Hostname) (version 0)
- added a new br on perl(POE::Filter::HTTP::Parser) (version 0.02)
- added a new br on perl(Socket) (version 0)
- added a new br on perl(Test::POE::Client::TCP) (version 0.1)
- altered br on perl(POE) (0 => 1.0000)
- altered br on perl(Test::More) (0 => 0.47)
- added a new br on perl(Carp) (version 0)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.48-1
- update to 1.48

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.23-3
- rebuild for new perl

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.23-2
- additional testing BR

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.23-1
- update to 1.23
- update source URL (maintainer changed)
- add BR's for potential perl splittage
- add BR's for tests -- note pod coverage fails, so we just leave that one
  commented out

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.13-1
- update to 1.13
- add examples/ to %%doc; correct encoding in %%prep
- explicitly requires perl(HTTP::Base); was missed due to a use base construct

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-3
- bump for mass rebuild

* Fri Aug 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-2
- bump

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.11-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
